// gnome.xonotic.in.ua

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/evil6_floors/e6c_floor
{
	{
		map textures/evil6_floors/e6c_floor.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met2.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 4 4
		detail
	}
}

textures/evil6_floors/e6c_floordented
{
	{
		map textures/evil6_floors/e6c_floordented.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met2.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/evil6_lights/e6horzlight_s_nolight
{
	qer_editorimage textures/evil6_lights/e6horzlight.jpg
	surfaceparm nomarks
	{
		map textures/evil6_lights/e6horzlight.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_lights/e6horzlight_glow.jpg
		blendfunc add
	}
}

textures/evil6_lights/e6horzovallight
{
	qer_editorimage textures/evil6_lights/e6horzovallight.tga
	q3map_surfacelight 50
	surfaceparm nomarks
	{
		map textures/evil6_lights/e6horzovallight.tga
	}
	{
		map textures/evil6_lights/e6horzovallight_blend.tga
		blendfunc gl_one gl_one
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
}

textures/evil6_support/e6vertgrt_supp_s_nolight
{
	qer_editorimage textures/evil6_support/e6vertgrt_supp.tga
	q3map_lightimage textures/evil6_support/e6vertgrt_supp_fx.tga
	surfaceparm nomarks
	{
		map textures/evil6_support/e6vertgrt_supp.tga
	}
	{
		map textures/evil6_support/e6vertgrt_supp_fx.tga
		tcmod scroll 0 2
		blendfunc add
	}
	{
		map textures/evil6_support/e6vertgrt_supp.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
}

textures/evil6_trims/e6btrim_light_s_nolight
{
	qer_editorimage textures/evil6_trims/e6btrim_light.tga
	surfaceparm nomarks
	{
		map textures/evil6_trims/e6btrim_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/evil6_trims/e6metalfan_s
{
	qer_editorimage textures/evil6_trims/e6metalfan.tga
	{
		map textures/evil6_trims/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/evil6_trims/e6trim_light
{
	qer_editorimage textures/evil6_trims/e6trim_light.tga
	q3map_lightimage textures/evil6_trims/e6trim_light_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/evil6_trims/e6trim_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/evil6_trims/e6trim_light_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/evil6_walls/e6girdergrate2b-trans
{
	qer_editorimage textures/evil6_walls/e6girdergrate2b-trans.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull disable
	nopicmip
	{
		map textures/evil6_walls/e6girdergrate2b-trans.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/evil8_floor/e8clangfloor
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_floor/e8clangfloor03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor03.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_floor/e8clangfloor04_blue
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor04_blue.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_floor/e8clangfloor04_red
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor04_red.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_floor/e8clangfloor04warn2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor04warn2.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_fx/e8_jumppad02
{
	q3map_lightimage textures/evil8_fx/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/evil8_fx/e8_jumppad02.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/evil8_fx/e8spawn01b
{
	{
		map textures/evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/evil8_trim/e8lighttrim_b_glow
{
	qer_editorimage textures/evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/evil8_trim/e8lighttrim_b.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/evil8_trim/e8lighttrim_b_static
{
	qer_editorimage textures/evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/evil8_trim/e8lighttrim_b.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/null
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/sav-liquids/glass_tube
{
	qer_editorimage textures/dsi/dsiglass2.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/dsi/dsiglass2.tga
		blendfunc add
		tcgen environment
		tcmod scale 4 4
	}
}

textures/skies/mp_moonwaw
{
	qer_editorimage env/mp_moonwaw/moonwaw_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 80
	q3map_sun 1 1 1 150 290 40
	skyparms env/mp_moonwaw/moonwaw - -
}

